<?php
define('NTLCMS', 1);
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница продажи кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Продать кредиты</b></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> В банке: '.coins(round($_USER['bank'], 2)).'</div>';
$error = null;
if (isset($_POST['col']) && isset($_POST['sum'])){
$kolvo = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
$summa = isset($_POST['sum']) ? filter_var($_POST['sum'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($kolvo)){
$error.= 'Введите количество кредитов для продажи!<br/>';
} elseif (!is_numeric($kolvo)){
$error.= 'Не верно введено количество!<br/>';
} elseif ($kolvo > $_USER['bank']){
$error.= 'В банке нет такого количества кредитов!<br/>';
} elseif ($kolvo < $set['mexchange']){
$error.= 'Продавать можно от '.ints($set['mexchange']).' кред.!<br/>';
}
if (empty($summa)){
$error.= 'Введите цену за 1000 кред.!<br/>';
} elseif ($summa < 10 || $summa > 100){
$error.= 'Минимальная сумма 10 руб., максимальная 100 руб.!<br/>';
} elseif (DB :: run() -> querySingle("select (`login`) from `exchange` where `login` = '".$ulogin."'")){
$error.= 'У вас уже есть ставка на бирже!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("insert into `exchange` set `login` = '".$ilogin."', `credit` = '".ints($kolvo)."', `sum` = '".ints($summa)."'")){
DB :: run() -> query("update `users` set `bank` = `bank` - '".ints($kolvo)."' where `login` = '".$ilogin."' limit 1");
echo '<div class="post"><center><i class="fa fa-check-circle fa-fw"></i> Кредиты успешно выставлены на продажу!</center></div>';
header('Refresh: 3; URL='.URL.'/exchanges');
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Ошибка при продаже кредитов!</center></div>';
}
}
}
echo '<div class="menu"><form action="'.URL.'/sell" method="post">
* Количество:<br/><input type="text" name="col" maxlength="11" value=""/><br/>
* По цене [за 1000 кр.]:<br/><input type="text" name="sum" maxlength="2" size="4"/> руб.<br/>
<input type="submit" value="Продать кредиты"/></form></div>';
echo '<div class="menu"><i class="fa fa-exclamation fa-fw"></i> Продавать можно не менее '.coins(ints($set['mexchange'])).' кр.</div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
include ('../system/foot.php');
?>